[build-system]
requires = [
    "setuptools",
    "numpy",
    "scipy",
    "scikit-learn",
    "pandas",
    "tweet-preprocessor",
    "category_encoders",
    "PyInquirer",
    "spacy",
    "wheel"
]
build-backend = "setuptools.build_meta"

[project]
name = "tweets_sentiment_natalia.mordvanyuk"
version = "0.0.4"
authors = [
  { name="Natalia Mordvanyuk"},
]
description = "A package to analyse and classify tweets"
readme = "README.md"
license = { file="LICENSE" }
requires-python = ">=3.9"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
]

[project.urls]
"Homepage" = "https://gitlab.com/natalia.mordvanyuk/tweets_classifier"
"Bug Tracker" = "https://gitlab.com/natalia.mordvanyuk/tweets_classifier/issues"
